{ config, pkgs, ...}:

{
  boot = {
    extraModulePackages = with config.boot.kernelPackages; [ v4l2loopback ];
    kernelModules = [ "v4l2loopback" ];
  };

  home-manager.users.hexchen = {
    programs.obs-studio = {
      enable = true;
      plugins = with pkgs; [
        obs-wlrobs obs-v4l2sink
      ];
    };
  };
}
