{ nixpkgs ? <nixpkgs>, ... }:

let
  pkgs = import nixpkgs {};
  callPackage = pkgs.lib.callPackageWith (pkgs // newpkgs);

  wasiSrc = fetchGit {
    url = "https://gitlab.infra4future.de/wasi/wasi-rust";
    rev = "356dbc23a3683d134f13156af71baeaa06fb80d1";
  };

  newpkgs = {
    # package = callPackage ./package {};
    wasi = import wasiSrc { inherit wasiSrc; pkgs = pkgs // newpkgs; };
  };

in newpkgs
